Ticket #374 (closed task: fixed)

Opened 12 years ago

Last modified 7 years ago

clean up redundancies in debathena-thirdparty

Reported by: geofft Owned by: kaduk
Priority: low Milestone: Current Semester
Component: -- Keywords:
Cc: alexp Fixed in version:
Upstream bug:

Description

This is a separate issue from removing unwanted packages from debathena-thirdparty: there are a couple of cases in which our metapackages depend on one package and a couple of that package's dependencies, which can be simplified. -dev packages and their non-dev library partners are a good example of this. This should not be a change in practical function of the package.

There are also a couple of cases in which our metapackages depend on one package and a couple of that package's recommendations: for instance, we could replace (almost?) all of the boost packages in thirdparty-libraries with just libboost-dev. This would be a significant cleanup, but a slight functional change. It's worth considering if there are reasons to keep these packages as hard dependencies; one technical reason to do so is that recommendations are never resatisfied if they happen not to be satisfied when the package is first installed (see #373). See that ticket and also #372 for discussion of making everything in -thirdparty recommendations, which, if implementable, would make this option clearly okay.

Change History

comment:1 Changed 11 years ago by jdreed

  • Milestone set to Summer 2010 (Lucid Deploy)

comment:2 Changed 11 years ago by jdreed

  • Milestone changed from Summer 2010 (Lucid Deploy) to Fall 2010

comment:3 Changed 10 years ago by jdreed

  • Milestone changed from Natty Alpha to Natty Release

comment:4 Changed 10 years ago by kaduk

  • Owner set to kaduk
  • Status changed from new to assigned

comment:5 follow-up: ↓ 6 Changed 9 years ago by jdreed

  • Status changed from assigned to development

I'm fairly certain I did this in #1138. If anyone disagrees, please specifically list the remaining redundant packages. In some cases, we can depend on -dev pulling in -lib packages, in other cases, there is no dependency.

comment:6 in reply to: ↑ 5 Changed 9 years ago by kaduk

Replying to jdreed:

I'm fairly certain I did this in #1138. If anyone disagrees, please specifically list the remaining redundant packages. In some cases, we can depend on -dev pulling in -lib packages, in other cases, there is no dependency.

Hmm, it looks like I lost my working copy where I had been dinking with this, due to merge conflicts.

My notes say that amaya (and -doc) is gone as of jaunty [thirdparty-information], and abiword-plugins-gnome is hardy-only [thirdparty-text].
I may still have some of the scripts/one-liners I came up with when I was more actively working on this ticket stashed on thirdparty-collapser.xvm.mit.edu

comment:7 Changed 9 years ago by jdreed

  • Status changed from development to proposed

comment:8 Changed 7 years ago by jdreed

  • Status changed from proposed to closed
  • Resolution set to fixed

This is as done as it's going to get.

Note: See TracTickets for help on using tickets.